Index: sansview/perspectives/fitting/fitpage1D.py
===================================================================
--- sansview/perspectives/fitting/fitpage1D.py	(revision 51d47b5b86b892ab660da7cca3522ab438d9158d)
+++ sansview/perspectives/fitting/fitpage1D.py	(revision f3113c94e380e1b32d141e7d70509c39d30f3ca5)
@@ -241,5 +241,5 @@
         ix += 1
         self.sizer9.Add(self.btFit,(iy,ix),(1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-        
+        """
         id = wx.NewId()
         self.btStopFit =wx.Button(self,id,'Stop')
@@ -249,5 +249,5 @@
         ix += 1
         self.sizer9.Add(self.btStopFit,(iy,ix),(1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-        
+        """
         ix =0
         iy+=1 
@@ -334,11 +334,12 @@
         
     def onStopFit(self, event):
-        
         self.manager.stop_fit()
         self.btStopFit.Hide()
+        self.btFit.Show(True)
         self.vbox.Layout()
         self.SetScrollbars(20,20,55,40)
         self.Layout()
         self.parent.GetSizer().Layout()
+        
     def compute_chisqr(self):
         """ @param fn: function that return model value
@@ -434,8 +435,10 @@
                                             ymin=self.data.ymin, ymax=self.data.ymax,
                                             xmin=self.data.xmin,xmax=self.data.xmax)
-                self.btStopFit.Show()
+                #self.btStopFit.Show()
+                #self.btFit.Hide()
             else:
                  self.manager._on_single_fit(qmin=self.qmin_x,qmax=self.qmax_x)
-                 self.btStopFit.Show()
+                 #self.btStopFit.Show()
+                 #self.btFit.Hide()
             self.vbox.Layout()
             self.SetScrollbars(20,20,55,40)
Index: sansview/perspectives/fitting/fitting.py
===================================================================
--- sansview/perspectives/fitting/fitting.py	(revision 51d47b5b86b892ab660da7cca3522ab438d9158d)
+++ sansview/perspectives/fitting/fitting.py	(revision f3113c94e380e1b32d141e7d70509c39d30f3ca5)
@@ -1,3 +1,3 @@
-import os,os.path, re
+#import os,os.path, re
 import sys, wx, logging
 import string, numpy, math
@@ -13,7 +13,7 @@
 from fitpanel import FitPanel
 from fit_thread import FitThread
-import models,modelpage
+import models#,modelpage
 import fitpage1D
-import park
+#import park
 DEFAULT_BEAM = 0.005
 DEFAULT_QMIN = 0.0
@@ -47,5 +47,5 @@
         self.standalone=True
         ## Fit engine
-        self._fit_engine = 'scipy'
+        self._fit_engine = 'park'
         self.enable_model2D=False
         # list of selcted data
@@ -76,5 +76,5 @@
         #Set park engine
         id3 = wx.NewId()
-        self.menu1.AppendCheckItem(id3, "park") 
+        self.menu1.AppendCheckItem(id3, "scipy") 
         wx.EVT_MENU(owner, id3, self._onset_engine)
         
@@ -427,9 +427,8 @@
     def stop_fit(self):
         if self.calc_thread != None and self.calc_thread.isrunning():
-                    
-                    self.calc_thread.interrupt()
-                    self.calc_thread.stop()
-                    wx.PostEvent(self.parent, StatusEvent(status="Fitting  \
-        is cancelled" , type="stop"))
+            #self.calc_thread.interrupt()
+            self.calc_thread.stop()
+            wx.PostEvent(self.parent, StatusEvent(status="Fitting  \
+is cancelled" , type="stop"))
     def _on_single_fit(self,id=None,qmin=None, qmax=None,ymin=None, ymax=None,xmin=None,xmax=None):
         """ 
Index: sansview/perspectives/fitting/modelpage.py
===================================================================
--- sansview/perspectives/fitting/modelpage.py	(revision 51d47b5b86b892ab660da7cca3522ab438d9158d)
+++ sansview/perspectives/fitting/modelpage.py	(revision f3113c94e380e1b32d141e7d70509c39d30f3ca5)
@@ -539,4 +539,5 @@
                             wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         self.text2_3.Hide() 
+        
         ix +=1
         self.text2_5 = wx.StaticText(self, -1, 'Min')
@@ -547,4 +548,7 @@
         self.sizer5.Add(self.text2_6,(iy, ix),(1,1),\
                             wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+        if self.data ==None:
+            self.text2_5.Hide()
+            self.text2_6.Hide()
         ix +=1
         self.text2_4 = wx.StaticText(self, -1, 'Units')
@@ -604,5 +608,7 @@
                 ctl4.Bind(wx.EVT_TEXT_ENTER,self._onparamEnter)
                 self.sizer5.Add(ctl4, (iy,ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-                
+                if self.data==None:
+                    ctl4.Hide()
+                    ctl3.Hide()
                 ix +=1
                 # Units
